#ifndef HELIX_H
#define HELIX_H

void helixcon(float *y,float *x,int n,float *a,int *lag,int na,bool adj);

void helixdecon0(float *x,float *y,int n,float *a,int *lag,int na,bool adj);

void helixdecon(float *y,float *x,int n,float *a,int *lag,int na,bool adj);

float lapfac(float *a,int *lag,int na,float eps,int n1,int niter);

float wilson_factor(float *a,int *lag,int na,int nmax,int niter,float s0,const float *ss,const int *lags,int ns);

void ns_helixcon(float *y,float *x,int n,float **a,int **lag,int *na,int *patch,bool adj);

void ns_helixdecon(float *y,float *x,int n,float **a,int **lag,int *na,int *patch,bool adj);

#endif
