#ifndef CONVERSIONS_H
#define CONVERSIONS_H

void VEpsDel2Cij(float *c11,float *c13,float *c33,const float *v,const float *eps,const float *del,float v0,float eps0,float del0,int n);

void GradCij2GradVEpsDel(float *gv,float *geps,float *gdel,const float *gc11,const float *gc13,const float *gc33,const float *v,const float *eps,const float *del,float v0,float eps0,float del0,int n);

void VnEtaDel2Cij(float *c11,float *c13,float *c33,const float *vn,const float *eta,const float *del,float vn0,float eta0,float del0,int n);

void GradCij2GradVnEtaDel(float *gvn,float *geta,float *gdel,const float *gc11,const float *gc13,const float *gc33,const float *vn,const float *eta,const float *del,float vn0,float eta0,float del0,int n);

void VhEpsEta2Cij(float *c11,float *c13,float *c33,const float *vh,const float *eps,const float *eta,float vh0,float eps0,float eta0,int n);

void GradCij2GradVhEpsEta(float *gvh,float *geps,float *geta,const float *gc11,const float *gc13,const float *gc33,const float *vh,const float *eps,const float *eta,float vh0,float eps0,float eta0,int n);

void VVhDel2Cij(float *c11,float *c13,float *c33,const float *v,const float *vh,const float *del,float v0,float vh0,float del0,int n);

void GradCij2GradVVhDel(float *gv,float *gvh,float *gdel,const float *gc11,const float *gc13,const float *gc33,const float *v,const float *vh,const float *del,float v0,float vh0,float del0,int n);

void VnVhDel2Cij(float *c11,float *c13,float *c33,const float *vn,const float *vh,const float *del,float vn0,float vh0,float del0,int n);

void GradCij2GradVnVhDel(float *gvn,float *gvh,float *gdel,const float *gc11,const float *gc13,const float *gc33,const float *vn,const float *vh,const float *del,float vn0,float vh0,float del0,int n);

void VVnVh2Cij(float *c11,float *c13,float *c33,const float *v,const float *vn,const float *vh,int n);

void GradCij2GradVVnVh(float *gv,float *gvn,float *gvh,const float *gc11,const float *gc13,const float *gc33,const float *v,const float *vn,const float *vh,int n);

#endif
